import { IconContext } from "@phosphor-icons/react";
import React from "react";
import {createBrowserRouter, RouterProvider} from "react-router-dom";
import {Curtains} from "../Components/Curtains/Curtains";
import {NotificationsProvider} from "../Components/Notifications/Notifications";

/**
 * Main Kernel UI app component which initializes everything.
 */
export function Kernel({header, footer, router}: {
	header?: React.ReactNode;
	footer?: React.ReactNode;
	router: ReturnType<typeof createBrowserRouter>;
})
{
	return (
		<IconContext.Provider value={{
			size: 16,
			weight: "bold",
		}}>
			<NotificationsProvider>
				<Curtains>
					{header}
					<RouterProvider router={router} />
					{footer}
				</Curtains>
			</NotificationsProvider>
		</IconContext.Provider>
	);
}
